ForceFields::CrystalFF Namespace Reference

## Classes

class | TorsionAngleContribM6
| the torsion term for multiplicity m = 1 - 6 More...

## Functions

double | calcTorsionEnergyM6 (const std::vector< double > &V, const std::vector< int > &signs, const double cosPhi)
| calculates and returns the torsional energy More...
void | getExperimentalTorsions (const RDKit::ROMol &mol, std::vector< std::vector< int > > &expTorsionAtoms, std::vector< std::pair< std::vector< int >, std::vector< double > > > &expTorsionAngles, std::vector< std::vector< int > > &improperAtoms, bool useExpTorsions=false, bool useBasicKnowledge=false, bool verbose=false)
| Get the experimental torsional angles in a molecule. More...

## Function Documentation

## calcTorsionEnergyM6()

double ForceFields::CrystalFF::calcTorsionEnergyM6 | ( | const std::vector< double > & | V,
|  | const std::vector< int > & | signs,
|  | const double | cosPhi
| ) |  |

calculates and returns the torsional energy

Referenced by ForceFields::CrystalFF::TorsionAngleContribM6::copy().

## getExperimentalTorsions()

void ForceFields::CrystalFF::getExperimentalTorsions | ( | const RDKit::ROMol & | mol,
|  | std::vector< std::vector< int > > & | expTorsionAtoms,
|  | std::vector< std::pair< std::vector< int >, std::vector< double > > > & | expTorsionAngles,
|  | std::vector< std::vector< int > > & | improperAtoms,
|  | bool | useExpTorsions = `false`,
|  | bool | useBasicKnowledge = `false`,
|  | bool | verbose = `false`
| ) |  |

Get the experimental torsional angles in a molecule.